Bug 807951 - Make F18 pass lsb-dist-test-4.1
Make F18 pass lsb-dist-test-4.1
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: xning
Fedora Extras Quality Assurance
: Tracking
Depends On: 799284 806190 806759 811483
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-29 04:28 EDT by xning
Modified: 2015-07-08 05:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-08 05:26:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description xning 2012-03-29 04:28:12 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1.install lsb-dist-test-4.1
2.runt it
3.
  
Actual results:
do not pass the test

Expected results:
pass the test

Additional info:
Comment 1 xning 2012-03-29 05:07:44 EDT
To simplify running lsb-dist-test-4.1, I supply an rpm here:
https://dl.dropbox.com/u/64704553/lsb-dist-testkit-manager-4.1.2-1.src.rpm
Comment 2 Bill Nottingham 2012-03-29 14:48:09 EDT
What tests fail?
Comment 3 xning 2012-03-29 20:56:59 EDT
Hi, Bill. Now I only consider automatic tests.

Alsa-T2C Tests	v 4.1.0-1	Success 	Passed: 858
Core Tests	v 4.1.0-1	Failures: 13 	Passed: 5808
Core-T2C Tests	v 4.1.0-1	Success 	Passed: 157
Cpp-T2C Tests	v 4.1.0-1	Success 	Passed: 1854
Desktop Tests	v 4.1.0-2	Failures: 9 	Passed: 11832
Desktop-T2C Tests	v 4.1.0-1	Failures: 6 	Passed: 5125
Libstdc++ Tests	v 4.1.0-13	Success 	Passed: 1790
OLVER Core Tests	v 4.1.0-1	Failures: 10 	Passed: 8172
Perl Tests	v 4.1.0-1	Failures: 78 	Passed: 751
Printing Tests	v 4.1.0-1	Failures: 11 	Passed: 43
Python Runtime Tests	v 4.1.1-2	Success 	Passed: 106
Qt3-Azov Tests	v 4.1.0-1	Success 	Passed: 9792
Qt4-Azov Tests	v 4.1.0-1	Failures: 7 	Passed: 10769
Xml2-Azov Tests	v 4.1.0-1	Success 	Passed: 1284
Xts5 Tests	v 5.1.5-38	Warnings: 10 	Passed: 3405
Comment 4 Bill Nottingham 2012-03-30 11:53:40 EDT
Having a more detailed breakdown of failures filed as separate bugs makes it sane to track.
Comment 5 xning 2012-03-30 22:12:16 EDT
(In reply to comment #4)
> Having a more detailed breakdown of failures filed as separate bugs makes it
> sane to track.

Yes, Bill. That's also my plan. Now I'm reading the lsb test suits source code. Plan to extract the failed test,  then, according the failed test,  make a little script or c program for every bugs,  just like I have done for bug 806190, bug 806759, and bug 799284.  So, we are easy to test a bug, and also simple to debug the bug.

Note You need to log in before you can comment on or make changes to this bug.